Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002258TestLinkGeneralpublic2009-03-21 12:372010-11-06 15:19
Reporteraksinghv 
Assigned Toadministrator 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.9 RC 1 
Summary0002258: Multiple WARNINGS in eventviewer
DescriptionHi,

I am getting multiple warnings in the eventviewer. Please find the same:


21/03/2009 04:45:15 WARNING E_NOTICE Undefined offset: 2 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:15 WARNING E_NOTICE Undefined offset: 1 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:15 WARNING E_NOTICE Undefined index: skipped - in C:\tl\tl180\lib\results\topLevelSuitesBarChart.php - Line 82 admin
21/03/2009 04:45:14 WARNING E_NOTICE Undefined offset: 2 - in C:\tl\tl180\lib\results\overallPieChart.php - Line 59 admin
21/03/2009 04:45:14 WARNING E_NOTICE Undefined offset: 1 - in C:\tl\tl180\lib\results\overallPieChart.php - Line 59 admin
21/03/2009 04:45:14 WARNING E_NOTICE Undefined index: skipped - in C:\tl\tl180\lib\results\overallPieChart.php - Line 31 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined index: skipped - in C:\tl\tl180\lib\results\keywordBarChart.php - Line 89 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined offset: 1 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined offset: 2 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined offset: 2 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined offset: 1 - in C:\tl\tl180\lib\results\charts.inc.php - Line 93 admin
21/03/2009 04:45:13 WARNING E_NOTICE Undefined index: skipped - in C:\tl\tl180\lib\results\ownerBarChart.php - Line 79 admin
21/03/2009 04:32:42 ERROR flushHttpHeader> Invalid format: 0 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 250 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 243 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 457 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 437 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 568 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 565 admin
21/03/2009 04:26:19 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\functions\exec.inc.php - Line 69 admin
21/03/2009 04:26:17 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 115 admin
21/03/2009 04:26:17 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 178 admin
21/03/2009 04:26:17 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 180 admin
21/03/2009 04:25:51 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 568 admin
21/03/2009 04:25:51 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\execute\execNavigator.php - Line 565 admin
21/03/2009 04:25:51 WARNING E_NOTICE Undefined index: all - in C:\tl\tl180\lib\functions\exec.inc.php - Line 69 admin
21/03/2009 04:25:43 AUDIT User 'admin' deleted all events admin

I am also getting error:
21/03/2009 04:32:42 ERROR flushHttpHeader> Invalid format: 0 admin

Let me know if more information is required.

TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF3.0.7
PHP Version5.2.9-1
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005938)
mhavlat (reporter)
2009-03-22 15:50

I will care about "ERROR flushHttpHeader> Invalid format: 0 admin". Consider this issue for other notice in log.
(0005952)
aksinghv (reporter)
2009-03-24 00:38

fine. This error message is important "ERROR flushHttpHeader> Invalid format: 0 admin".
(0006076)
avemuru (reporter)
2009-03-31 02:07

A huge number of "WARNING E_NOTICE Undefined index" events are logged. Looking forward for a fix to the problem.
(0006582)
aparna (reporter)
2009-04-24 22:03

We installed the final version of 1.8.1. We still see several WARNING messages.
(0006584)
fman (administrator)
2009-04-24 23:35

ok please give detailed steps to reproduce
(0006587)
aparna (reporter)
2009-04-25 00:26

Seems like the warning appears randomly for different users. Not sure how exactly to reproduce the issue. Here is one which is seen several times.

Description E_NOTICE Undefined index: title - in /testlink/gui/templates_c/%%4A^4A2^4A2CD998%%workAreaSimple.tpl.php - Line 13
(0006590)
aparna (reporter)
2009-04-25 02:07

This is what the user does - Go to Execute tests and click on any executed tests. Here is what I see the even viewer:

E_NOTICE Undefined index: my_colspan - in /testlink/gui/templates_c/%%8E^8EC^8ECF17FA%%inc_exec_show_tc_exec.tpl.php - Line 195
(0006964)
amitkhullar (reporter)
2009-05-20 01:47

How do these warning effect the funcationality of the system, is something broken?
If yes then please state the steps for each warning.
(0006965)
aparna (reporter)
2009-05-20 01:49

Nothing seems to be broken. Not that I can see or experience. Those are just WARNING messages. But they are kind of misleading.

- Issue History
Date Modified Username Field Change
2009-03-21 12:37 aksinghv New Issue
2009-03-21 12:37 aksinghv Browser => FF3.0.7
2009-03-21 12:37 aksinghv PHP Version => 5.2.9-1
2009-03-22 15:50 mhavlat Note Added: 0005938
2009-03-24 00:38 aksinghv Note Added: 0005952
2009-03-31 02:07 avemuru Note Added: 0006076
2009-04-24 22:03 aparna Note Added: 0006582
2009-04-24 23:35 fman Note Added: 0006584
2009-04-25 00:26 aparna Note Added: 0006587
2009-04-25 02:07 aparna Note Added: 0006590
2009-05-20 01:25 schlundus Status new => assigned
2009-05-20 01:25 schlundus Assigned To => schlundus
2009-05-20 01:47 amitkhullar Note Added: 0006964
2009-05-20 01:49 aparna Note Added: 0006965
2010-11-06 15:18 fman Assigned To schlundus =>
2010-11-06 15:19 fman Status assigned => closed
2010-11-06 15:19 fman Assigned To => administrator
2010-11-06 15:19 fman Resolution open => fixed
2010-11-06 15:19 fman Fixed in Version => 1.9 RC 1



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker